Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.export.modules.repository.beans
Class BeanDataSourceBean

    java.lang.Object
      com.jaspersoft.jasperserver.export.modules.repository.beans.ResourceBean
          com.jaspersoft.jasperserver.export.modules.repository.beans.BeanDataSourceBean

    public class BeanDataSourceBean

extends ResourceBean

Version:
  $Id: BeanDataSourceBean.java 8408 2007-05-29 23:29:12Z melih $
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)

Constructor Summary
`BeanDataSourceBean()`

Method Summary
`protected void` | `additionalCopyFrom(Resource res, ResourceExportHandler referenceHandler)`
`protected void` | `additionalCopyTo(Resource res, ResourceImportHandler importHandler)`
`java.lang.String` | `getBeanMethod()`
`java.lang.String` | `getBeanName()`
`void` | `setBeanMethod(java.lang.String beanMethod)`
`void` | `setBeanName(java.lang.String beanName)`

Methods inherited from class com.jaspersoft.jasperserver.export.modules.repository.beans.ResourceBean
`copyFrom, copyTo, getCreationDate, getDescription, getFolder, getLabel, getName, getPermissions, getVersion, handleReferences, handleReferences, setCreationDate, setDescription, setFolder, setLabel, setName, setPermissions, setVersion`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BeanDataSourceBean

    public BeanDataSourceBean()

Method Detail

### additionalCopyFrom

    protected void additionalCopyFrom(Resource res,
                                      ResourceExportHandler referenceHandler)

  Specified by:
    `additionalCopyFrom` in class `ResourceBean`

### additionalCopyTo

    protected void additionalCopyTo(Resource res,
                                    ResourceImportHandler importHandler)

  Specified by:
    `additionalCopyTo` in class `ResourceBean`

### getBeanMethod

    public java.lang.String getBeanMethod()

### setBeanMethod

    public void setBeanMethod(java.lang.String beanMethod)

### getBeanName

    public java.lang.String getBeanName()

### setBeanName

    public void setBeanName(java.lang.String beanName)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.